module github.com/jobs-scraper/internal/pkg/infrastructure

go 1.24.0

toolchain go1.24.7

require (
	github.com/golang-migrate/migrate/v4 v4.19.0
	github.com/gorilla/mux v1.8.1
	github.com/jobs-scraper/libs/ports v0.0.0
	github.com/jobs-scraper/libs/repo v0.0.0
	github.com/jobs-scraper/internal/pkg/utils v0.0.0
	github.com/lib/pq v1.10.9
	github.com/rabbitmq/amqp091-go v1.10.0
)

replace github.com/jobs-scraper/libs/repo => ../../../libs/repo

replace github.com/jobs-scraper/internal/pkg/utils => ../utils

replace github.com/jobs-scraper/libs/ports => ../../../libs/ports

require (
	github.com/hashicorp/errwrap v1.1.0 // indirect
	github.com/hashicorp/go-multierror v1.1.1 // indirect
	golang.org/x/sys v0.36.0 // indirect
)
